@echo off

rem Setting the path to gwebcmd.exe

set gwebcmd=gwebcmd.exe
if exist ..\gwebcmd\gwebcmd.exe         set gwebcmd=..\gwebcmd\gwebcmd.exe
if exist ..\..\gwebcmd\gwebcmd.exe      set gwebcmd=..\..\gwebcmd\gwebcmd.exe
if exist ..\..\..\gwebcmd\gwebcmd.exe   set gwebcmd=..\..\..\gwebcmd\gwebcmd.exe


rem Loading and parsing web data using the task file

%gwebcmd% webtocsv @task.txt /delay=500 /quoteChar= /DateTimeFormat=yyyyMMdd


rem Loading and parsing web data using the command line parameters

rem The URLs can be specified in two forms: quoted and unquoted
rem Use "" instead of single " and use %% instead of single % in parameters

%gwebcmd% webtocsv "http://query.yahooapis.com/v1/public/yql?q=select * from yahoo.finance.quotes where symbol in (""YHOO"")&diagnostics=false&env=store://datatables.org/alltableswithkeys"                                          y-fundamentals-yhoo.xml i-fundamentals-yhoo.csv /delay=500 /add=Symb=YHOO;LoadDate=NOW() /quoteChar= /DateTimeFormat=yyyyMMdd
%gwebcmd% webtocsv "http://query.yahooapis.com/v1/public/yql?q=select%%20*%%20from%%20yahoo.finance.quotes%%20where%%20symbol%%20in%%20%%28%%22FB%%22%%29&diagnostics=false&env=store%%3A%%2F%%2Fdatatables.org%%2Falltableswithkeys" y-fundamentals-fb.xml   i-fundamentals-fb.csv   /delay=500 /add=Symb=FB;LoadDate=NOW()   /quoteChar= /DateTimeFormat=yyyyMMdd
